Miscellaneous information retrieval functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Enumerations | Functions
Miscellaneous information retrieval functions
Emotion » API available for manipulating Emotion object.

## Enumerations
enum | _Emotion_Meta_Info { EMOTION_META_INFO_TRACK_TITLE , EMOTION_META_INFO_TRACK_ARTIST , EMOTION_META_INFO_TRACK_ALBUM , EMOTION_META_INFO_TRACK_YEAR , EMOTION_META_INFO_TRACK_GENRE , EMOTION_META_INFO_TRACK_COMMENT , EMOTION_META_INFO_TRACK_DISC_ID , EMOTION_META_INFO_TRACK_COUNT }
| Used for retrieving information about the media file being played. More...

## Functions
EMOTION_API const char * | emotion_object_title_get (const Evas_Object *obj)
| Get the dvd title from this emotion object.
EMOTION_API const char * | emotion_object_meta_info_get (const Evas_Object *obj, Emotion_Meta_Info meta)
| Retrieve meta information from this file being played.
EMOTION_API void | emotion_object_last_position_load (Evas_Object *obj)
| Load the last known position if available.
EMOTION_API void | emotion_object_last_position_save (Evas_Object *obj)
| Save the lastest position if possible.

## Detailed Description

## Enumeration Type Documentation

## ◆ _Emotion_Meta_Info

enum _Emotion_Meta_Info

Used for retrieving information about the media file being played.

See also
  emotion_object_meta_info_get()

Enumerator
EMOTION_META_INFO_TRACK_TITLE | track title
EMOTION_META_INFO_TRACK_ARTIST | artist name
EMOTION_META_INFO_TRACK_ALBUM | album name
EMOTION_META_INFO_TRACK_YEAR | track year
EMOTION_META_INFO_TRACK_GENRE | track genre
EMOTION_META_INFO_TRACK_COMMENT | track comments
EMOTION_META_INFO_TRACK_DISC_ID | track disc ID
EMOTION_META_INFO_TRACK_COUNT | track count - number of the track in the album

## Function Documentation

## ◆ emotion_object_title_get()

EMOTION_API const char * emotion_object_title_get | ( | const Evas_Object * | obj | ) |

Get the dvd title from this emotion object.

Parameters

  obj | The object which the title will be retrieved from.

Returns
  A string containing the title.

This function is only useful when playing a DVD.

Note
  Don't change or free the string returned by this function.

Examples
  emotion_test_main.c.

## ◆ emotion_object_meta_info_get()

EMOTION_API const char * emotion_object_meta_info_get | ( | const Evas_Object * | obj,
|  | Emotion_Meta_Info | meta
| ) |  |

Retrieve meta information from this file being played.

Parameters

  obj | The object which the meta info will be extracted from.
  meta | The type of meta information that will be extracted.

This function retrieves information about the file loaded. It can retrieve the track title, artist name, album name, etc. See Emotion_Meta_Info for all the possibilities.

The meta info may be not available on all types of files. It will return `NULL` if the the file doesn't have meta info, or if this specific field is empty.

Note
  Don't change or free the string returned by this function.

See also
  Emotion_Meta_Info

Examples
  emotion_signals_example.c.

References EMOTION_META_INFO_TRACK_ALBUM, EMOTION_META_INFO_TRACK_ARTIST, EMOTION_META_INFO_TRACK_COMMENT, EMOTION_META_INFO_TRACK_DISC_ID, EMOTION_META_INFO_TRACK_GENRE, EMOTION_META_INFO_TRACK_TITLE, and EMOTION_META_INFO_TRACK_YEAR.

## ◆ emotion_object_last_position_load()

EMOTION_API void emotion_object_last_position_load | ( | Evas_Object * | obj | ) |

Load the last known position if available.

Parameters

  obj | The object which the query is being ran on.

By using Xattr, Emotion is able, if the system permitt it, to store and retrieve the latest position. It should trigger some smart callback to let the application know when it succeed or fail. Every operation is fully asynchronous and not linked to the actual engine used to play the vide.

See also
  emotion_object_last_position_save()

Examples
  emotion_test_main.c.

References EINA_REFCOUNT_REF, eina_xattr_double_get(), eio_file_xattr_double_get(), emotion_object_position_set(), and evas_object_smart_callback_call().

## ◆ emotion_object_last_position_save()

EMOTION_API void emotion_object_last_position_save | ( | Evas_Object * | obj | ) |

Save the lastest position if possible.

Parameters

  obj | The object which the query is being ran on.

By using Xattr, Emotion is able, if the system permitt it, to store and retrieve the latest position. It should trigger some smart callback to let the application know when it succeed or fail. Every operation is fully asynchronous and not linked to the actual engine used to play the vide.

See also
  emotion_object_last_position_load()

Examples
  emotion_test_main.c.

References EINA_REFCOUNT_REF, eina_xattr_double_set(), eio_file_xattr_double_set(), emotion_object_position_get(), and evas_object_smart_callback_call().